Creates a to-do in a to-do list and returns its ID.
Request
Body Params application/jsonRequired
{
"external_id": "TODO-1001",
"description": "<p>Water-stained tile above the reception desk.</p>",
"due_date": "2019-08-24",
"todo_type": "84",
"todo_status": "84",
"todo_priority": "84",
"is_visible_to_all_workers": true,
"assigned_to": [
"65"
],
"notify_assignees": true,
"is_done": false,
"list": "84",
"name": "Replace ceiling tile"
}
Request Code Samples
curl --location 'https://app.fieldinsight.com/public-api//todos/items/' \
--header 'Content-Type: application/json' \
--data '{
"external_id": "TODO-1001",
"description": "<p>Water-stained tile above the reception desk.</p>",
"due_date": "2019-08-24",
"todo_type": "84",
"todo_status": "84",
"todo_priority": "84",
"is_visible_to_all_workers": true,
"assigned_to": [
"65"
],
"notify_assignees": true,
"is_done": false,
"list": "84",
"name": "Replace ceiling tile"
}'
Modified at 2026-10-30 03:40:11